!SESSION 2021-11-22 17:58:03.141 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_121
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_CN
Command-line arguments:  -os win32 -ws win32 -arch x86 -data D:\Tatto\UM321xA

!ENTRY com.iar.cdt.arm.toolchain.cmsis.adapter 1 0 2021-11-22 17:58:11.150
!MESSAGE Using CMSIS pack repositories: http://links.iar.com/cmsis/pack

!ENTRY com.iar.cmsismanager.product 1 0 2021-11-22 17:58:11.754
!MESSAGE CMSIS Agent interface registered with service registry at ServiceLocation(host:\\.\pipe\iar-cspy-cpp-binary-com.iar.thrift.service.registry-6500ef78-e2fc-48de-bcc6-8fed8a19ed34-1, port:0, protocol:Binary, transport:Pipe)

!ENTRY com.iar.cmsismanager.product 1 0 2021-11-22 17:58:20.581
!MESSAGE CMSIS Agent interface deregistered with service registry at ServiceLocation(host:\\.\pipe\iar-cspy-cpp-binary-com.iar.thrift.service.registry-6500ef78-e2fc-48de-bcc6-8fed8a19ed34-1, port:0, protocol:Binary, transport:Pipe)

!ENTRY com.iar.cmsismanager.product 1 0 2021-11-22 17:58:20.582
!MESSAGE Exiting workbench is response to shutdown() command.
